Bug 1130194 - packstack fails to install neutron
Summary: packstack fails to install neutron
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-puppet-modules
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: 5.0 (RHEL 7)
Assignee: Ivan Chavero
QA Contact: Nir Magnezi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 14:07 UTC by yfried
Modified: 2014-12-15 15:46 UTC (History)
9 users (show)

Fixed In Version: openstack-puppet-modules-2014.1-20.1.el7ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-02 18:10:55 UTC


Attachments (Terms of Use)
full jobs logs. various machine logs are found under node* (12.07 MB, application/x-bzip)
2014-08-14 14:07 UTC, yfried
no flags Details
answer file (16.74 KB, text/plain)
2014-08-14 14:11 UTC, yfried
no flags Details
answer file puddle 2014-07-23.2 (16.27 KB, text/plain)
2014-08-14 14:13 UTC, yfried
no flags Details
Fix based on Martin's work (776 bytes, patch)
2014-08-14 20:04 UTC, Lon Hohberger
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1125 normal SHIPPED_LIVE openstack-packstack and openstack-puppet-modules bug fix advisory 2014-09-02 22:09:22 UTC
OpenStack gerrit 94504 None None None Never

Description yfried 2014-08-14 14:07:38 UTC
Created attachment 926819 [details]
full jobs logs. various machine logs are found under node*

openstack-packstack-2014.1.1-0.37.dev1238.el7ost.noarch


Description of problem:
Installation crashes with message:

ERROR : Error appeared during Puppet run: 10.35.117.12_neutron.pp
Error: Could not set 'present' on ensure: no implicit conversion of nil into String at 87:/var/tmp/packstack/87556a87a5f545d884451a6f8af913f0/manifests/10.35.117.12_neutron.pp


packstack-setup.log:
2014-08-14 15:24:14::DEBUG::sequences::40::root:: Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/packstack/installer/core/sequences.py", line 38, in run
    self.function(config, messages)
  File "/usr/lib/python2.7/site-packages/packstack/plugins/puppet_950.py", line 214, in apply_puppet_manifest
    wait_for_puppet(currently_running, messages)
  File "/usr/lib/python2.7/site-packages/packstack/plugins/puppet_950.py", line 112, in wait_for_puppet
    validate_logfile(log)
  File "/usr/lib/python2.7/site-packages/packstack/modules/puppet.py", line 91, in validate_logfile
    raise PuppetError(message)
PuppetError: Error appeared during Puppet run: 10.35.117.12_neutron.pp
Error: Could not set 'present' on ensure: no implicit conversion of nil into String at 87:/var/tmp/packstack/bbece084f3c84de5a0a98fa2183df9ef/manifests/10.35.117.12_neutron.pp[0m
You will find full trace in log /var/tmp/packstack/20140814-150358-SefdAp/manifests/10.35.117.12_neutron.pp.log

2014-08-14 15:24:14::ERROR::run_setup::921::root:: Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/packstack/installer/run_setup.py", line 916, in main
    _main(confFile)
  File "/usr/lib/python2.7/site-packages/packstack/installer/run_setup.py", line 605, in _main
    runSequences()
  File "/usr/lib/python2.7/site-packages/packstack/installer/run_setup.py", line 584, in runSequences
    controller.runAllSequences()
  File "/usr/lib/python2.7/site-packages/packstack/installer/setup_controller.py", line 68, in runAllSequences
    sequence.run(config=self.CONF, messages=self.MESSAGES)
  File "/usr/lib/python2.7/site-packages/packstack/installer/core/sequences.py", line 98, in run
    step.run(config=config, messages=messages)
  File "/usr/lib/python2.7/site-packages/packstack/installer/core/sequences.py", line 44, in run
    raise SequenceError(str(ex))
SequenceError: Error appeared during Puppet run: 10.35.117.12_neutron.pp
Error: Could not set 'present' on ensure: no implicit conversion of nil into String at 87:/var/tmp/packstack/bbece084f3c84de5a0a98fa2183df9ef/manifests/10.35.117.12_neutron.pp[0m
You will find full trace in log /var/tmp/packstack/20140814-150358-SefdAp/manifests/10.35.117.12_neutron.pp.log

Comment 1 yfried 2014-08-14 14:09:08 UTC
for the tar.log:
node1 - controller
node2 - neutron networker
node3/4 - compute

Comment 2 yfried 2014-08-14 14:11:44 UTC
Created attachment 926820 [details]
answer file

Comment 3 yfried 2014-08-14 14:13:19 UTC
Created attachment 926821 [details]
answer file puddle 2014-07-23.2

old answer file which worked on the same setup 2hrs prior

Comment 5 yfried 2014-08-14 14:35:07 UTC
apparently this fails with ml2-VLAN
but succeeds with ml2-VXLAN

Comment 7 Martin Magr 2014-08-14 17:13:33 UTC
After investigation on active Jenkins machine provided by yfried I found out that Puppet failed on following code:

vs_port { 'enp3s0f1.341':
  bridge => 'br-ex',
  ensure => present
}

For puppet-vswitch we are currently using patchset 15 of patch [1], which has bug in [2] on line 110.
When I fixed the bug (eg. I did s/fname = Base + @interface/fname = Base + @name/) installation ended successfully.

[1] https://review.openstack.org/#/c/94504
[2] https://review.openstack.org/#/c/94504/15/lib/puppet_x/redhat/ifcfg.rb

Comment 8 Lon Hohberger 2014-08-14 20:04:15 UTC
Created attachment 926900 [details]
Fix based on Martin's work

Comment 13 Gilles Dubreuil 2014-08-18 07:42:24 UTC
Upstream patch 17 has been added to address BZ#1130657

Comment 14 Nir Magnezi 2014-08-18 12:13:38 UTC
Verified NVR: openstack-packstack-2014.1.1-0.37.dev1238.el7ost.noarch

repeated the same installation executed in comment #0.
Installation tested OK.
Sanity tested OK.

Comment 17 errata-xmlrpc 2014-09-02 18:10:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1125.html


Note You need to log in before you can comment on or make changes to this bug.